## cyarray 1.1

=== requirements.txt ===
Cython>=0.20
setuptools>=6.0
numpy
mako
pytest
