=== debian/changelog ===
cyarray (1.1-7build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:37:03 +0000

cyarray (1.1-7) unstable; urgency=medium

  * New d/clean file.
  * Switch to dh-sequence-*.
  * Switch to autopkgtest-pkg-pybuild.
  * Apply patches provided by Matthias Klose (Closes: #1057886).
  * debian/control:
    - Do not use undefined substitution variables.
  * debian/rules:
    - Set PYBUILD_TEST_ARGS.
  * debian/patches:
    - Refresh and renumber all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 10 Dec 2023 09:56:49 +0000

cyarray (1.1-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a debian/py3dist-overrides file to depend on cython3 instead of
    cython3-legacy, introduced with the last binNMUs.
  * Add a patch to not add a runtime dependency on cython3. Not yet applied,
    should be confirmed that it's safe to apply.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Dec 2023 08:12:56 +0100

cyarray (1.1-6) unstable; urgency=medium

  * Standards version bumped to 4.6.2 (no changes).
  * debian/patches:
    - New 0003-Compatibility-with-cython-v3.0.patch.
  * debian/control:
    - Bump deblekper compat version to 13.
    - Use <!nocheck> marker.
  * Set upstream metadata fields: Repository.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 26 Nov 2023 09:26:57 +0000

cyarray (1.1-5) unstable; urgency=medium

  * debian/patches:
    - new 0002-Compatibility-with-numpy-v1.24.patch (Closes: #1028881).
  * debisn/rules:
    - enable numpy3 debhelper.
  * debian/copyright:
    - update copyright dates.
  * Standards version bumped to 4.6.1 (no changes).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 14 Jan 2023 16:21:50 +0000

cyarray (1.1-4) unstable; urgency=medium

  * Update watch file to use tags instead of releases.
  * debian/rules:
    - call dh_numpy3 to fix the dependency on numpy API.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Nov 2021 18:55:17 +0000

cyarray (1.1-3) unstable; urgency=medium

  * Standards version bumped to 4.6.0 (no changes).
  * Update the watch file.
  * debian/patches:
    - add Forwarded field.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Sep 2021 06:50:36 +0000

cyarray (1.1-2) unstable; urgency=medium

  * Team upload.
  * Source-only-upload

 -- Anton Gladky <gladk@debian.org>  Wed, 01 Jan 2020 21:02:44 +0100

cyarray (1.1-1) unstable; urgency=medium

  * Initial version (Closes: #940953).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 14 Nov 2019 23:52:19 +0000
