=== debian/control ===
Source: cyarray
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               python3-all-dev,
               python3-mako,
               python3-numpy,
               python3-pytest <!nocheck>,
               python3-setuptools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/cyarray
Vcs-Git: https://salsa.debian.org/science-team/cyarray.git
Homepage: https://github.com/pypr/cyarray
Rules-Requires-Root: no

Package: python3-cyarray
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Fast, typed, resizable, Cython array
 The cyarray package provides a fast, typed, re-sizable, Cython array.
 .
 It currently provides the following arrays: ``IntArray, UIntArray,
 LongArray, FloatArray, DoubleArray``.
 .
 All arrays provide for the following operations:
 .
  - access by indexing.
  - access through get/set function.
  - resizing the array.
  - appending values at the end of the array.
  - reserving space for future appends.
  - access to internal data through a numpy array.
 .
 If you are writing Cython code this is a convenient array to use as it
 exposes the raw underlying pointer to the data.
 For example if you use a ``FloatArray`` and access its ``data``
 attribute it will be a ``float*``.
 .
 Each array also provides an interface to its data through a numpy
 array.
 This is done through the ``get_npy_array`` function.
 The returned numpy array can be used just like any other numpy array
 but for the following restrictions:
 .
  - the array may not be resized.
  - references of this array should not be kept.
  - slices of this array may not be made.
 .
 The numpy array may however be copied and used in any manner.
