=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cyarray
export PYBUILD_TEST_ARGS=--pyargs ${PYBUILD_NAME}
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pybuild
