## cyarray 1.2

=== requirements.txt ===
Cython
setuptools>=6.0
numpy
mako
pytest
pytest-benchmark[histogram]
