=== debian/changelog ===
cyarray (1.2-1) unstable; urgency=medium

  * New upstream release.
  * Standards version bumped to 4.7.2, no changes.
  * debian/patches:
    - Drop 0002-Compatibility-with-numpy-v1.24.patch,
      0003-Compatibility-with-cython-v3.0.patch,
      0004-no-cython-rt-dependency.diff and
      0005-Setup-requires.patch.
    - Refresh and rename the remaining patches.
  * debian/copyright:
    - Update dates.
    - Drop no longer needed entries.
  * debian/control:
    - Add (test) dependency on python3-pytest-benchmark.
  * Add debian/source/lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 18 Aug 2025 14:28:43 +0000

cyarray (1.1-9) unstable; urgency=medium

  * debian/patches:
    - New 0005-Setup-requires.patch (Closes: #1083348).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 07 Oct 2024 18:17:05 +0000

cyarray (1.1-8) unstable; urgency=medium

  * Standards version bumped to 4.7.0, no changes.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 06 Sep 2024 07:45:49 +0000
