=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
                python3-mako,
                python3-numpy,
                python3-pytest <!nocheck>,
+               python3-pytest-benchmark <!nocheck>,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/cyarray
 Vcs-Git: https://salsa.debian.org/science-team/cyarray.git
 Homepage: https://github.com/pypr/cyarray
